<div *ngIf="currentUser" class="edit-form col-md-8 colonne-centree" style="margin-left: 520px;">
  <form>
    <!-- MATRICULE -->
    <div class="input-w">
      <label for="matricule"
        style="position: relative; font-size: 20px;margin-right: 78px;"><strong>Matricule</strong></label>
      <input id="input" style="width: 800px; height: 50px;font-size: 20px; margin-bottom: 10px;" type="text"
        id="matricule" [(ngModel)]="currentUser.matricule" name="matricule" />
    </div>

    <!-- nOM ET PRENOM -->
    <div class="input-w" style="position: relative;">
      <label for="name" style="position: relative;font-size: 20px;  margin-right: 16px;"><strong>Nom et
          Prénom</strong></label>
      <input id="input" style="width: 800px; height: 50px; font-size: 20px; margin-bottom: 10px;" type="text" id="name"
        [(ngModel)]="currentUser.name" name="name" />
    </div>

    <!-- ADRESSE E MAIL -->
    <div class="input-w">
      <label for="email" style="position: relative; font-size: 20px;margin-right: 28px;"><strong> Adresse
          e-mail</strong></label>
      <input id="input" style="width: 800px; height: 50px; font-size: 20px; margin-bottom: 10px;" type="text" id="email"
        [(ngModel)]="currentUser.email" name="email" />
    </div>

    <!-- MOT DE PASSE -->
    <div class="input-w">
      <label for="password" style="position: relative; font-size: 20px;margin-right: 40px;"><strong> Mot de
          passe</strong></label>
      <input id="input" style="width: 800px; height: 50px;font-size: 20px;  margin-bottom: 10px;" type="text"
        id="password" [(ngModel)]="currentUser.password" name="password" />
    </div>

  </form>

  <div style="margin-top: 20px; margin-left: 160px; ">
    <!--Modifier un utilisateur-->
    <button id="btnmodif" style="margin-left: 10px; " type="submit" style="height: 50px; width: 160px;"
      class="btn btn-success mr-7" (click)="updateUser()">
      Mettre à jour
    </button>
    <!--Supprimer un utilisateur-->
    <button id="btnmodif" class="btn btn-danger mr-7 " style="height: 50px; width: 160px; margin-left: 10px;"
      (click)="deleteUser()">
      Supprimer
    </button>

    <!--Retour a la liste-->
    <button id="btnmodif" style="background-color:rgb(43, 42, 42) ; font-size: 15px; margin-left: 10px;"
      style="height: 50px; width: 160px; margin-left: 10px;" type="submit" class="btn  mr-7" (click)="liste()">
      Liste des utilisateurs
    </button>
    <p style="font-size: medium;font-style: italic;">{{ message }}</p>
     <!-- Alert echoue-->
   <div class="form-group">
    <div class="alert alert-danger" 
         role="alert"
        *ngIf="isSignUpFailed"
    >
      <strong>échec de modification :</strong> {{ errorMessage }}
    </div>
   </div>
  </div>

</div>

<div *ngIf="!currentUser">
  <br />
  <p>Cannot access this User...</p>
</div>